﻿/*************************************\
 *   StreamWriter und StreamReader   *
 *                                   *
 * Kapitel: Dateien und Streams      *
 * Zuordnung: C#-Buch V2.0 5.5       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.IO;

namespace CSV20.StreamWriter_StreamReader
{
    class Program
    {
        static void Main(string[] args)
        {
            const string sDateiname = "test.txt";
            StreamWriter oWrite = null;
            StreamReader oRead = null;

            try
            {
                // Daten in Datei schreiben
                oWrite = new StreamWriter(sDateiname, false);  // false = kein Append (anhängen)
                oWrite.WriteLine("Hallo-Welt!");
                oWrite.WriteLine();
                oWrite.Write("C#-Buch V2.0 5.5");       // Write() erzeugt keinen Zeilenumbruch am Ende
                oWrite.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
                Console.ReadKey();
                return;
            }
            finally
            {
                // Daten schreiben und Stream schließen
                if (oWrite != null)
                    oWrite.Close();
            }

            try
            {
                // Datei auslesen und auf der Konsole ausgeben
                oRead = new StreamReader(sDateiname);
                while (oRead.Peek() != -1)
                    Console.WriteLine(oRead.ReadLine());
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }
            finally
            {
                // Stream schließen
                if (oRead != null)
                    oRead.Close();
            }

            Console.ReadKey();
        }
    }
}